"use strict";
var uni_modules_wotDesignUni_components_common_props = require("../common/props.js");
const transitionProps = {
  ...uni_modules_wotDesignUni_components_common_props.baseProps,
  show: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  duration: {
    type: [Object, Number, Boolean],
    default: 300
  },
  lazyRender: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  name: [String, Array],
  destroy: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  enterClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  enterActiveClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  enterToClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  leaveClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  leaveActiveClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  leaveToClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  disableTouchMove: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false)
};
exports.transitionProps = transitionProps;
